@echo off
cls
echo.
echo ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
echo Welcome to the "CAVES" USER MAP for DukeNukem3D 
echo            By John Leonard *KASAI*
echo ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
echo.
echo.
echo If you already have the file "DETHTOLL.MID" in your DUKE 
echo NUKEM 3D directory , this batch program will rename them to 
ECHO "DETHTOLL.BAK". To restore this type: 
echo "RENAME DETHTOLL.BAK DETHTOLL.MID"
echo Note: If you already have "dethtoll.bak", please rename to a 
echo differnet extention or delete it in order to get the music. 
echo.
echo.
echo.
echo **********************************************************************
echo                            WARNING
echo IF YOU PLAN TO REUSE THIS BATCH PROGRAM, PLEASE RENAME YOUR 
echo "dethtoll.mid" TO ANYTHING OTHER THAN EXTENTION .MID and .BAK.
echo **********************************************************************
echo.
echo.
echo Ready? Turn up your volume NOW! :)
pause

if exist dethtoll.mid goto exchange
if not exist dethtoll.mid goto start
:exchange
rename dethtoll.mid dethtoll.bak 

:start
ren caves.mid dethtoll.mid
duke3d -map caves.map
goto end

:end
cls
echo.
echo.
echo.
echo.
echo **********************************
echo Thank you for Playing "CAVES" 
echo           KASAI
echo **********************************
echo.
pause
echo on
